### Method

# Camel StoreSearch add_folder

since: 3.58

#### Declaration [src]

    void
    camel_store_search_add_folder (
      CamelStoreSearch* self,
      CamelFolder* folder
    )

#### Description [src]

Adds the `folder` to the list of the folders to be searched in by the `self`. The function does nothing when the `folder` is already part of the `folder`.

The content is not updated automatically, call `camel_store_search_rebuild_sync()` to rebuild the content.

It’s an error to try to add a `folder` which is not owned by the `CamelStore` the `self` was created with.

Available since: 3.58

#### Parameters

`folder`

  Type: `CamelFolder`

  A `CamelFolder`.

  The data is owned by the caller of the method.